$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$! IICKSERVER.COM -- This procedure will check to see IF the INGRES 
$! Release 6 installation is up and running properly.  IF not, call 
$! IISHUTDOWN to bring what parts are up down.  After waiting a few
$! seconds seconds call IISTARTUP.  At that point this procedure will 
$! resubmit itself every 5 minutes.  IF all is well this procedure 
$! will terminate, otherwise continue this cycle until all is well.
$!
$!  Monday, January, 7, 1991 at 14:16 by David Conrad
$!     Created this routine
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ TRUE = 1
$ FALSE = 0
$!
$ say :== WRITE SYS$OUTPUT
$ node = F$GETSYI ("NODENAME")
$!
$! GOTO NEXT_STEP
$! NEXT_STEP:
$!
$!
$ DEFINE LOG_FILE user$disk:[conrad.logs]
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!            Find all the INGRES processes on current node
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ GOSUB FIND_ING_PROCS
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!  Put cpu time and current state for each INGRES process into local
$!  variables.  Initilize temporary variable to be used.
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ dmf_found = FALSE    
$ rcp_found = FALSE
$ acp_found = FALSE
$ gcn_found = FALSE
$ gcc_found = FALSE
$ star_found = FALSE
$ dbms_1_found = FALSE    
$ dbms_2_found = FALSE    
$ dbms_3_found = FALSE    
$ dbms_1 = ""
$ dbms_2 = ""
$ dbms_3 = ""
$ star_cnt = 0
$ dbms_cnt = 0
$ dbms_1_cnt = 0
$ dbms_2_cnt = 0
$ dbms_3_cnt = 0
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!  Open temp file with INGRES processes and loop until all info
$!  is found.
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ OPEN /READ /ERROR=open_error infile iickser.ing_procs_'node'
$!
$ LOOP_ING_PROCS:
$ READ /ERROR=read_error /END=end_ing_procs infile record
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!   Find all the necessary info for the Distributed Cluster Process
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ IF (dmf_found .EQ. TRUE) THEN GOTO END_DMF
$	dmfcsp = F$EXTRACT (F$LOCATE ("DMFCSP", record), 12, record)
$	IF dmfcsp .EQS. "" THEN GOTO END_DMF
$	    dmf_found = TRUE
$	    dmf_pid = F$EXTRACT (0, 8, record)
$	    dmf_cpu = f$getjpi (dmf_pid, "CPUTIM")
$	    GOTO LOOP_ING_PROCS
$       END_DMF:
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!   Find all the necessary info for the Archive Cluster Process
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ IF (acp_found .EQ. TRUE) THEN GOTO END_ACP
$	acp = F$EXTRACT (F$LOCATE ("II_ACP", record), 12, record)
$	IF acp .EQS. "" THEN GOTO END_ACP
$	    acp_found = TRUE
$	    acp_pid = F$EXTRACT (0, 8, record)
$	    acp_cpu = f$getjpi (acp_pid, "CPUTIM")
$	    GOTO LOOP_ING_PROCS
$       END_ACP:
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!    Find all the necessary info for the Recovery Cluster Process
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ IF (rcp_found .EQ. TRUE) THEN GOTO END_RCP
$	rcp = F$EXTRACT (F$LOCATE ("II_RCP", record), 12, record)
$	IF rcp .EQS. "" THEN GOTO END_RCP
$	    rcp_found = TRUE
$	    rcp_pid = F$EXTRACT (0, 8, record)
$	    rcp_cpu = f$getjpi (rcp_pid, "CPUTIM")
$	    GOTO LOOP_ING_PROCS
$       END_RCP:
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!          Find all the necessary info for the Name Server
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ IF (gcn_found .EQ. TRUE) THEN GOTO END_GCN
$	gcn = F$EXTRACT (F$LOCATE ("II_GCN", record), 12, record)
$	IF gcn .EQS. "" THEN GOTO END_GCN
$	    gcn_found = TRUE
$	    gcn_pid = F$EXTRACT (0, 8, record)
$	    gcn_cpu = f$getjpi (gcn_pid, "CPUTIM")
$	    GOTO LOOP_ING_PROCS
$       END_GCN:
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!         Find all the necessary info for the Network Server
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ IF (gcc_found .EQ. TRUE) THEN GOTO END_GCC
$	gcc = F$EXTRACT (F$LOCATE ("II_GCC", record), 12, record)
$	IF gcc .EQS. "" THEN GOTO END_GCC
$	    gcc_found = TRUE
$	    gcc_pid = F$EXTRACT (0, 8, record)
$	    gcc_cpu = f$getjpi (gcc_pid, "CPUTIM")
$	    GOTO LOOP_ING_PROCS
$       END_GCC:
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!       Find all the necessary info for the First DBMS Server
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ IF (dbms_1_found .EQ. TRUE) THEN GOTO END_DBMS_1
$	dbms_1 = F$EXTRACT (F$LOCATE ("II_DBMS", record), 12, record)
$	IF dbms_1 .EQS. "" THEN GOTO END_DBMS_1
$	    dbms_1_found = TRUE
$	    dbms_cnt = dbms_cnt + 1
$	    dbms_1_cnt = dbms_1_cnt + 1
$	    dbms_1_pid = F$EXTRACT (0, 8, record)
$	    dbms_1_cpu = f$getjpi (dbms_1_pid, "CPUTIM")
$	    GOTO LOOP_ING_PROCS
$	END_DBMS_1:
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!      Find all the necessary info for the Second DBMS Server
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ IF (dbms_2_found .EQ. TRUE) THEN GOTO END_DBMS_2
$	dbms_2 = F$EXTRACT (F$LOCATE ("II_DBMS", record), 12, record)
$	IF dbms_2 .EQS. "" THEN GOTO END_DBMS_2
$	    dbms_2_found = TRUE
$	    dbms_cnt = dbms_cnt + 1
$	    dbms_2_cnt = dbms_2_cnt + 1
$	    dbms_2_pid = F$EXTRACT (0, 8, record)
$	    dbms_2_cpu = f$getjpi (dbms_2_pid, "CPUTIM")
$	    GOTO LOOP_ING_PROCS
$	END_DBMS_2:
$!	
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!      Find all the necessary info for the Third DBMS Server
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ IF (dbms_3_found .EQ. TRUE) THEN GOTO END_DBMS_3
$	dbms_3 = F$EXTRACT (F$LOCATE ("II_DBMS", record), 12, record)
$	IF dbms_3 .EQS. "" THEN GOTO END_DBMS_3
$	    dbms_3_found = TRUE
$	    dbms_cnt = dbms_cnt + 1
$	    dbms_3_cnt = dbms_3_cnt + 1
$	    dbms_3_pid = F$EXTRACT (0, 8, record)
$	    dbms_3_cpu = f$getjpi (dbms_3_pid, "CPUTIM")
$	    GOTO LOOP_ING_PROCS
$	END_DBMS_3:
$!	
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!         Find all the necessary info for the Star Server
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ IF (star_found .EQ. TRUE) THEN GOTO END_STAR
$	star = F$EXTRACT (F$LOCATE ("II_STAR", record), 12, record)
$	IF star .EQS. "" THEN GOTO END_STAR
$	    star_found = TRUE
$	    star_cnt = star_cnt + 1
$	    star_pid = F$EXTRACT (0, 8, record)
$	    star_cpu = f$getjpi (star_pid, "CPUTIM")
$	    GOTO LOOP_ING_PROCS
$       END_STAR:
$!	
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$           Loop until all INGRES process are identified
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ GOTO LOOP_ING_PROCS
$!
$ END_ING_PROCS:
$!
$! say dmf_pid, "-", dmfcsp, "-", dmf_found, "-", dmf_cpu
$! say dbms_1_pid, "-", dbms_1, "-", dbms_1_found, "-", dbms_1_cnt, "-", dbms_1_cpu
$! say dbms_2_pid, "-", dbms_2, "-", dbms_2_found, "-", dbms_2_cnt, "-", dbms_2_cpu
$! say dbms_3_pid, "-", dbms_3, "-", dbms_3_found, "-", dbms_3_cnt, "-", dbms_3_cpu
$ IF dbms_1 .EQS. "" THEN say "No DBMS Server found"
$ IF dbms_2 .EQS. "" THEN say "No second DBMS Server found"
$ IF dbms_3 .EQS. "" THEN say "No third DBMS Server found"
$ say "total dbms servers are ", dbms_cnt
$!
$ CLOSE infile
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!  Now check all the INGRES processes in 10 seconds to see if any
$!  of them are active at this time.
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$! EXIT
$!
$ say "Waiting 10 seconds for any activity in INGRES Release 6 on node ''node'"
$ WAIT 00:00:10
$!
$ GOSUB FIND_ING_PROCS
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!           Now see if any processes are receiving CPU time
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ active = FALSE
$!
$ dmf_cpu_2 = f$getjpi (dmf_pid, "CPUTIM")
$ rcp_cpu_2 = f$getjpi (rcp_pid, "CPUTIM")
$ acp_cpu_2 = f$getjpi (acp_pid, "CPUTIM")
$ gcn_cpu_2 = f$getjpi (gcn_pid, "CPUTIM")
$ gcc_cpu_2 = f$getjpi (gcc_pid, "CPUTIM")
$ IF dbms_1 .NES. "" THEN dbms_1_cpu_2 = f$getjpi (dbms_1_pid, "CPUTIM")
$ IF dbms_1 .NES. "" THEN dbms_2_cpu_2 = f$getjpi (dbms_2_pid, "CPUTIM")
$ IF dbms_3 .NES. "" THEN dbms_3_cpu_2 = f$getjpi (dbms_3_pid, "CPUTIM")
$ star_cpu_2 = f$getjpi (star_pid, "CPUTIM")
$!
$!
$ IF (dmf_cpu .EQ. dmf_cpu_2) THEN GOTO END_DMF_1
$	say dmfcsp, " is still getting CPU time"
$	active = TRUE
$	END_DMF_1:
$!
$ IF (rcp_cpu .EQ. rcp_cpu_2) THEN GOTO END_RCP_1
$	say rcp, " is still getting CPU time"
$	active = TRUE
$	END_RCP_1:
$!
$ IF (acp_cpu .EQ. acp_cpu_2) THEN GOTO END_ACP_1
$	say acp, " is still getting CPU time"
$	active = TRUE
$	END_ACP_1:
$!
$ IF (gcn_cpu .EQ. gcn_cpu_2) THEN GOTO END_GCN_1
$!  connecting to IINAMU shows Name Server as being active
$!	say gcn, " is still getting CPU time"
$!	active = TRUE
$	END_GCN_1:
$!
$ IF (gcc_cpu .EQ. gcc_cpu_2) THEN GOTO END_GCC_1
$	say gcc, " is still getting CPU time"
$	active = TRUE
$	END_GCC_1:
$!
$ IF dbms_1 .EQS. "" THEN GOTO END_DBMS_12
$ IF (dbms_1_cpu .EQ. dbms_1_cpu_2) THEN GOTO END_DBMS_12
$	say dbms_1, " is still getting CPU time"
$	active = TRUE
$	END_DBMS_12:
$!
$ IF dbms_2 .EQS. "" THEN GOTO END_DBMS_22
$ IF (dbms_2_cpu .EQ. dbms_2_cpu_2) THEN GOTO END_DBMS_22
$	say dbms_2, " is still getting CPU time"
$	active = TRUE
$	END_DBMS_22:
$!
$ IF dbms_3 .EQS. "" THEN GOTO END_DBMS_32
$ IF (dbms_3_cpu .EQ. dbms_3_cpu_2) THEN GOTO END_DBMS_32
$	say dbms_3, " is still getting CPU time"
$	active = TRUE
$	END_DBMS_32:
$!
$ IF (star_cpu .EQ. star_cpu_2) THEN GOTO END_STAR_1
$	say star, " is still getting CPU time"
$	active = TRUE
$	END_STAR_1:
$!
$ IF (active .EQ. FALSE) THEN say "No activity in INGRES Release 6 system on node ''node'...."
$!
$ EXIT
$!
$!
$ IF ii_dbms .EQS. "" THEN GOTO LOOP_DBMS
$ blank = F$LOCATE (" ", ii_dbms)
$ say "Found DBMS server ''ii_dbms' on ''node', therefore all is well..."
$ GOTO WRAP_UP
$!
$! say "Found first DBMS server ''ii_dbms', now searching for second one ..."
$!
$ FIND_DBMS_2:
$!
$ LOOP_DBMS_2:
$!
$ GOTO FIND_II_DBMS
$ read /error=read_error /end=no_dbms_2 infile record
$ ii_dbms2 = F$EXTRACT (F$LOCATE ("II_DBMS", record), 12, record)
$ IF ii_dbms2 .EQS. "" THEN GOTO LOOP_DBMS_2
$ blank2 = F$LOCATE (" ", ii_dbms2)
$ say "Found second DBMS server ''ii_dbms2'"
$ GOTO FIND_II_DBMS
$!
$ NO_DBMS:
$!
$ say "No DBMS servers found on ''node'.  Check recovery processes."
$ say " "
$ GOTO FIND_DMFCSP
$!
$ NO_DBMS_2:
$!
$ say "Second DBMS server not found on ''node', start second DBMS server..."
$ say " "
$ GOTO IIRUNDBMS_2
$!
$ FIND_II_DBMS:
$!
$ say " "
$ say "Checking to see  II_DBMS_SERVER logicals are set on ''node'..."
$ ii_server = f$trnlnm ("II_DBMS_1")
$ IF blank .EQ. 11 THEN ii_dbms = F$EXTRACT (0, 11, ii_dbms)
$ ii_server_2 = f$trnlnm ("II_DBMS_2")
$ IF blank2 .EQ. 11 THEN ii_dbms2 = F$EXTRACT (0, 11, ii_dbms2)
$ IF ii_server .EQS. "" THEN GOTO NO_LOGICALS
$! IF ii_server .nes. ii_dbms THEN GOTO SWITCH_LOGICALS
$ say "II_DBMS_1 is define as ''ii_server'"
$!
$ FIND_II_DBMS_2:
$!
$! IF ii_server_2 .EQS. "" THEN GOTO NO_LOGICALS
$! IF ii_server_2 .nes. ii_dbms2 THEN GOTO SWITCH_LOGICALS
$ say "II_DBMS_2 is define as ''ii_server_2'"
$ say " "
$ say "Found both DBMS servers & logicals on ''node', therefore all is well..."
$ GOTO WRAP_UP
$!
$ SWITCH_LOGICALS:
$!
$ say "Checking to see IF the II_DMSB logicals are switched..."
$ IF ii_server .nes. ii_dbms2 THEN GOTO IISERVER
$ IF ii_server_2 .nes. ii_dbms THEN GOTO IISERVER
$ say "Logicals are ok..."
$ say " "
$ say "II_DBMS_1 is define as ''ii_server'"
$ say "II_DBMS_2 is define as ''ii_server_2'"
$ GOTO WRAP_UP
$!
$ NO_LOGICALS:
$!
$ say "Both II_DBMS_SERVER logicals are not set, calling IISERVER..."
$ GOTO IISERVER
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!  Check status of Distributed Cluster, Recovery, and Archiver processes
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ FIND_DMFCSP:
$!
$ say "Searching for any activity in recovery processes..."
$ close infile
$ open /read /error=open_error infile iickser.ing_procs_'node'
$!
$ LOOP_CSP:
$!
$ read /error=read_error /end=close_csp infile record
$ dmfcsp = F$EXTRACT (F$LOCATE ("DMFCSP",record) , 6, record)
$ csp_state = F$EXTRACT (25, 3, record)
$ IF dmfcsp .EQS. "" THEN GOTO LOOP_CSP
$ say "Found Recovery process DMFCSP in ''csp_state'"
$ IF csp_state .EQS. "HIB" THEN GOTO FIND_RCP
$ say "DMFCSP is still doing recovery on ''node', check again in 5 minutes"
$ say " "
$ GOTO IICKSERVER
$!
$ FIND_RCP:
$!
$ close infile
$ open /read /error=open_error infile iickser.ing_procs_'node'
$!
$ LOOP_RCP:
$!
$ read /error=read_error /end=close_rcp infile record
$ ii_rcp = F$EXTRACT (F$LOCATE ("II_RCP",record) , 6, record)
$ rcp_state = F$EXTRACT (25, 3, record)
$ IF ii_rcp .EQS. "" THEN GOTO LOOP_RCP
$ say "Found Recovery process II_RPC in ''rcp_state'"
$ IF rcp_state .EQS. "HIB" THEN GOTO FIND_ACP
$ say "II_RCP is still doing recovery on ''node', check again in 5 minutes"
$ say " "
$ GOTO IICKSERVER
$!
$!
$ FIND_ACP:
$!
$ close infile
$ open /read /error=open_error infile iickser.ing_procs_'node'
$!
$ LOOP_ACP:
$!
$ read /error=read_error /end=close_acp infile record
$ ii_acp = F$EXTRACT (F$LOCATE ("II_ACP", record), 6, record)
$ acp_state = F$EXTRACT (25, 3, record)
$ IF ii_acp .EQS. "" THEN GOTO LOOP_ACP
$ say "Found Acrhiver process II_ACP in ''acp_state'"
$ IF acp_state .EQS. "HIB" THEN GOTO REC_DONE
$ say "II_ACP is still doing recovery on ''node', check again in 5 minutes"
$ say " "
$ GOTO IICKSERVER
$ 
$ REC_DONE:
$!
$ say " "
$ say "Recover has finished on ''node', calling IISHUTDOWN & IISTARTUP"
$ GOTO IISHUTDOWN
$!
$ CLOSE_CSP:
$!
$ close infile
$ say "No DMFCSP found on ''node', calling IISTARTUP for ''node'...."
$ GOTO IISTARTUP
$!
$ CLOSE_RCP:
$!
$ close infile
$ say "No II_RCP found on ''node', calling IISHUTDOWN & IISTARTUP for ''node'...."
$ GOTO IISHUTDOWN
$!
$ close infile
$ say "No II_ACP found on ''node', calling IISHUTDOWN & IISTARTUP for ''node'...."
$ GOTO IISHUTDOWN
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$! The problem has been found, so take the apporiate action
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ IISHUTDOWN:
$!
$ say " "
$! submit /que='node'_dba /keep /noprint -
 !	/log=LOG_FILE:.'node' ii_system:iishutdown
$! 
$ IISTARTUP:
$!
$! submit/que='node'_dba/keep/noprint/after="+:05" -
 !	/log=LOG_FILE:.'node' ii_system:iistartup
$! submit/que='node'_dba/keep/noprint/after="+:10" -
 !	/log=LOG_FILE:.'node' ii_system:iickserver
$ GOTO WRAP_UP
$!
$ IICKSERVER:
$!
$! submit/que='node'_dba/keep/noprint/after="+:05" -
 !	/log=LOG_FILE:.'node' ii_system:iickserver
$ GOTO WRAP_UP
$!
$ IIRUNDBMS_2:
$!
$ close infile
$! @ii_system:[ingres.utility]iirundbms.com_'node'_2
$!
$ IISERVER:
$!
$! @ii_system:[ingres]iiserver
$ GOTO IICKSERVER
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$! This is for any problems with the temporary file that are not normal
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ OPEN_ERROR:
$!
$ say "Could not open temporary file on ''node'..."
$ say " "
$ EXIT
$!
$ READ_ERROR:
$!
$ say "Could not read temporary file on ''node'..."
$ say " "
$ EXIT
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$! Clean up mess and call it a day
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ WRAP_UP:
$!
$ say " "
$ close infile
$ delete/nolog iickser.ing_procs_'node';
$!
$ EXIT
$!
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!            Find all the INGRES processes on current node
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ FIND_ING_PROCS:
$!
$ say " "
$ SHOW TIME
$ say "Searching for any INGRES Release 6 processes on node ''node'..."
$!
$ SHO SYS /OUTPUT=iickser.sho_sys_'node'
$ PURGE/NOLOG iickser.sho_sys_'node'
$ SEARCH iickser.sho_sys_'node' /OUTPUT=iickser.ing_procs_'node' -
	dmfcsp, ii_rcp, ii_acp, ii_gcc, ii_gcn, ii_dbms, ii_star
$ PURGE/NOLOG iickser.ing_procs_'node'
$!
$ say " "
$ TYPE iickser.ing_procs_'node'
$ say " "
$ SHO LOG ii_dbms_prod
$ say " "
$ IINAMU
	show
	quit
$ say " "
$ WAIT 00:00:01
$ RETURN
$!