$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$!  IISHUTDOWN.COM
$!
$!  Friday, June 7, 1991 by David Conrad
$!  VAX Cluster with two nodes using INGRES Release 5 and 6
$!  Written on VAX/VMS V5.4-1A using INGRES VAX Version 6.3/03 (vax.vms/01)
$!  
$!  This is different version of IISHUTDOWN.  I'm using the same idea
$!  as Bill Lucoff had, but using VMS to find all INGRES 6 processes
$!  instead of IINAMU.  This is because I start servers using the 
$!  /NONAMES option, so IINAMU won't know these servers exist.
$!
$!  This is not full proof, but seems to get the job done, if you find
$!  something you would like to change (or better way of doing it) 
$!  please let me know.
$!
$ SET NOON        
$ say := WRITE SYS$OUTPUT
$ node = F$GETSYI ("nodename")
$!
$ IF F$PRIVILEGE ("cmkrnl") .EQS. "FALSE" THEN GOTO NEEDPRIV
$ IF F$TYPE (iinamu) .EQS. "" THEN GOTO NOSYM
$ IF F$TYPE (netu) .EQS. "" THEN GOTO NOSYM
$ IF F$TYPE (rcpconfig) .EQS. "" THEN GOTO NOSYM
$ IF F$TYPE (iimonitor) .EQS. "" THEN GOTO NOSYM
$!
$ SHUTDOWN:
$!
$ say " "
$ say "This will bring the INGRES Release 6 system down gracefully,"
$ INQU/NOPU ans "on Node ''node'.  Is this what you want to do? (y/n): "
$ IF ans .EQS. "N" .OR. ans .EQS. "n" THEN EXIT
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!            Find all the INGRES processes on current node
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ GOSUB FIND_ING_PROCS
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!  Open temp file with INGRES processes and loop until all INGRES
$!  processes are found and shut down.
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ STAR_SHUTDOWN:
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!                   INGRES/STAR shutdown section
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ OPEN /READ /ERROR=open_error infile iickser.ing_procs_'node'
$!
$ LOOP_STAR:
$ READ /ERROR=read_error /END=end_star infile record
$!
$ star = F$EXTRACT (F$LOCATE ("II_STAR", record), 12, record)
$ IF star .EQS. "" THEN GOTO LOOP_STAR
$ say "Shutting down ", star
$ DEFINE/NOLOG sys$output nla0:
$ iimonitor 'star'
set server shut
$ DEASSIGN sys$output
$ GOTO LOOP_STAR
$!
$ END_STAR:
$ CLOSE INFILE
$!
$ DBMS_SHUTDOWN:
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!                    DBMS Server shutdown section
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ OPEN /READ /ERROR=open_error infile iickser.ing_procs_'node'
$!
$ LOOP_DBMS:
$ READ /ERROR=read_error /END=end_dbms infile record
$!
$ dbms = F$EXTRACT (F$LOCATE ("II_DBMS", record), 12, record)
$ IF dbms .EQS. "" THEN GOTO LOOP_DBMS
$ say "Shutting down ", dbms
$ DEFINE/NOLOG sys$output nla0:
$ iimonitor 'dbms'
set server shut
$ DEASSIGN sys$output
$ GOTO LOOP_DBMS
$!
$ END_DBMS:
$ CLOSE INFILE
$!
$ GCC_SHUTDOWN:
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!                   INGRES/NET shutdown section
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ OPEN /READ /ERROR=open_error infile iickser.ing_procs_'node'
$!
$ LOOP_GCC:
$ READ /ERROR=read_error /END=end_gcc infile record
$!
$ gcc = F$EXTRACT (F$LOCATE ("II_GCC", record), 12, record)
$ IF gcc .EQS. "" THEN GOTO LOOP_GCC
$ say "Shutting down ", gcc
$ DEFINE/NOLOG sys$output nla0:
$ netu 'gcc'
stop
y
$ DEASSIGN sys$output
$ GOTO LOOP_GCC
$!
$ END_GCC:
$ CLOSE INFILE
$!
$!
$ GCN_SHUTDOWN:
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!                    Name Server shutdown section
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ OPEN /READ /ERROR=open_error infile iickser.ing_procs_'node'
$!
$ LOOP_GCN:
$ READ /ERROR=read_error /END=end_gcn infile record
$!
$ gcn = F$EXTRACT (F$LOCATE ("II_GCN", record), 12, record)
$ IF gcn .EQS. "" THEN GOTO LOOP_GCN
$ say "Shutting down ", gcn
$ DEFINE/NOLOG sys$output nla0:
$ iinamu 'gcn'
stop
y
$ DEASSIGN sys$output
$ GOTO LOOP_GCN
$!
$ END_GCN:
$ CLOSE INFILE
$!
$!
$ RCP_ACP_SHUTDOWN:
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!                    CSP RCP and ACP shutdown section
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ say "WAIT 15 seconds then shutdown archiver and recovery process"
$ WAIT 00:00:15
$ say "Normal shutdown initiated for archiver and recovery process"
$ DEFINE/NOLOG/USER sys$output nla0:
$ rcpconfig/shutdown
$!
$ DEASSIGN sys$output
$!
$ ALL_DONE:
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!          Check to see if all INGRES 6 processes are shutdown
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$ say " "
$ say "Shutdown will be complete when the following INGRES processes have gone away..."
$ say "DMFCSP, II_RCP, and II_ACP.  Waiting 10 seconds..."
$!
$ WAIT 00:00:10
$ GOSUB FIND_ING_PROCS
$!
$ EXIT
$!
$ READ_ERROR:
$ CLOSE infile
$ say "Could not read temporary file"
$ EXIT
$!
$ OPEN_ERROR:
$ say "Could not open temporary file"
$ EXIT
$!
$ NEEDPRIV:
$ say "Stopping INGRES processes requires CMKRNL privilege"
$ EXIT
$!
$ NOSYM:
$ say "INGRES symbols are not defined"
$ say "Defining INGRES symbols now..."
$ GOTO SHUTDOWN
$ EXIT
$!
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!            Find all the INGRES processes on current node
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$ FIND_ING_PROCS:
$!
$ say " "
$ SHOW TIME
$ say "Searching for any INGRES Release 6 processes on node ''node'..."
$!
$ SHO SYS /OUTPUT=iickser.sho_sys_'node'
$ PURGE/NOLOG iickser.sho_sys_'node'
$ SEARCH iickser.sho_sys_'node' /OUTPUT=iickser.ing_procs_'node' -
	dmfcsp, ii_rcp, ii_acp, ii_gcc, ii_gcn, ii_dbms, ii_star
$ PURGE/NOLOG iickser.ing_procs_'node'
$!
$ say " "
$ TYPE iickser.ing_procs_'node'
$ say " "
$ RETURN
$!